# $Revision: 1.11 $, $Date: 2002/06/27 09:54:30 $
Summary:	IRC transport module for Jabber
Summary(pl):	Modu transportowy IRC dla systemu Jabber
Name:		jabber-irc-transport
Version:	0.1b
Release:	1
License:	GPL
Group:		Applications/Communications
Source0:	http://download.jabber.org/dists/1.4/final/irc-transport-%{version}-1.40.linux.tar.gz
Source1:	irc_transport.xml
Patch0:		%{name}-autoconf.patch
BuildRequires:	jabber-devel
%requires_eq  	jabber
URL:		http://www.jabber.org/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module allows Jabber communicate with IRC servers.

%description -l pl
Modu ten umoliwia uytkownikom Jabber komunikowa si z sieci IRC.

%prep
%setup -qn irc-transport-0.1b-1.40
%patch0 -p1

%build
rm -f misiing
%{__libtoolize}
aclocal
%{__autoconf}
%{__automake}
%configure \
	CPPFLAGS="-I%{_includedir}/jabberd"
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_sysconfdir}}/jabberd

install src/irc_transport.so $RPM_BUILD_ROOT%{_libdir}/jabberd
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/jabberd

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -r /var/lock/subsys/jabberd ]; then
	if [ -r /var/lock/subsys/jabber-irc_transport ]; then
        	/etc/rc.d/init.d/jabberd restart irc_transport >&2
	else
        	echo "Run \"/etc/rc.d/init.d/jabberd start irc_transport\" to start IRC transport."
	fi
else
        echo "Run \"/etc/rc.d/init.d/jabberd start\" to start Jabber server."
fi

%preun
if [ "$1" = "0" ]; then
	if [ -r /var/lock/subsys/jabber-irc_transport ]; then
		/etc/rc.d/init.d/jabberd stop irc_transport >&2
	fi
fi


%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO NEWS
%attr(755,root,root) %{_libdir}/jabberd/*
%attr(640,root,jabber) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/jabberd/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: jabber-irc-transport.spec,v $
Revision 1.11  2002/06/27 09:54:30  kloczek
- use new %doc and few cleanups.

Revision 1.10  2002/06/23 20:32:30  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.9  2002/05/21 23:13:38  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.8  2002/04/25 16:38:12  arturs
fixed a small typo

Revision 1.7  2002/02/23 02:59:07  kloczek
- adapterized.

Revision 1.6  2002/02/22 23:29:05  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/02/09 15:30:16  jajcus
- %%requires_eq jabber

Revision 1.4  2002/02/08 16:05:08  jajcus
- updates for new jabber.spec

Revision 1.3  2002/01/18 02:13:22  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/12/26 17:13:59  jajcus
- updates for new jabber init script
- Requires,BuildRequires

Revision 1.1  2001/12/25 19:23:55  jajcus
- initial spec

